npar=288

paramfec=read.table("ParamFecSeedlings.txt",sep=" ",header=FALSE);
paramdisp=read.table("ParamDispSeedlings.txt",sep=" ",header=FALSE);
indivfec=read.table("IndivFecSeedlings.txt",sep=" ",header=FALSE);
dim(paramfec)

fecfemelle=indivfec[2:(npar+1)]
fecmale=indivfec[(npar+2):(2*npar+1)]
freqldd=indivfec[(2*npar+2):(3*npar+1)]

iter=100:378
par(mfrow=c(3,2))
plot(paramdisp[iter,3],main="distances moyennes",type='l',col=1,ylim=c(0,500))
lines(paramdisp[iter,5],col=2)
lines(paramdisp[iter,8],col=3)

plot(paramdisp[iter,4],main="formes kernels",type='l',col=1,ylim=c(0,10))
lines(paramdisp[iter,6],col=2)
lines(paramdisp[iter,9],col=3)

plot(paramfec[iter,3],main="variances fécondites",type='l',col=1,ylim=c(1,10))
lines(paramfec[iter,5],col=2)

plot(paramfec[iter,7]/(paramfec[iter,7]+paramfec[iter,8]),main="frequence moyenne de LDD",type='l',col=1)

barplot(apply(fecfemelle[10:19,],2,mean))
barplot(apply(freqldd[10:19,],2,mean))

r=(1:100)
rm=200
sigma=1
plot(r,exp(-(log(r/rm))^2/2/sigma^2)/r^2)