#ifndef GRAINE_H
#define GRAINE_H

#include "individu.h"
#include <string>


class graine : public individu
{
    public:
        graine() {};
        graine(const std::string & name, std::ifstream & file_in, int nloc);
        virtual ~graine();

        virtual void afficher() const;
        std::string getMere() const {return _merdesc;}

        double mendel (const individu & mere , const individu & pere, int nl, std::vector<int> na,  std::vector < std::map<int,int> > sizeall, const std::vector < std::vector<double> > & freqall) const;
        double mendel(const individu & mere , const individu & pere, int nl, std::vector<int> na,  std::vector < std::map<int,int> > sizeall, const std::vector < std::vector<double> > & freqall,const std::vector < std::vector < std::vector <double> > > & materror ) const;

    protected:
    private:
        std::string _merdesc;

};

#endif // GRAINE_H
