#ifndef PARENT_H
#define PARENT_H

#include <individu.h>
#include <vector>
#include <iostream>
#include <string>
#include <fstream>

class parent : public individu
{
    private:
        double _x, _y;

    public:
        std::vector<int> _covarquali;
        std::vector<double> _covarquanti;
        parent(const std::string & name, double x, double y, std::vector<int> & cov1, std::vector<double> & cov2);
        parent(std::ifstream & file_in, int nquali, int nquanti, int nloc);
        parent(const std::string & name, std::ifstream & file_in, int nquali, int nquanti, int nloc);
        virtual ~parent();

        double dist(const parent & pere) const;
        double azim(const parent & pere) const;
        virtual void afficher() const;
        double mendel (const individu & mere , const individu & pere, int nl, std::vector<int> na,  std::vector < std::map<int,int> > sizeall, const std::vector < std::vector<double> > & freqall) const;
        double mendel(const individu & mere , const individu & pere, int nl, std::vector<int> na,  std::vector < std::map<int,int> > sizeall, const std::vector < std::vector<double> > & freqall,const std::vector < std::vector < std::vector <double> > > & materror, int & nmistype ) const;

    protected:

};

#endif // PARENT_H
