#include "genotype.h"
#include <iostream>
#include <string>

// Faut il mettre un include <vector> ici ??
// est-il nécessaire de garder les std:: partout??

genotype::genotype(int nloc, std::ifstream & file_in)
{
    int n1;
    int n2;
    for (int k=0; k<nloc; k++){
        file_in >> n1; file_in >> n2;
        _genonuc.push_back(locus(n1,n2));
    }
}

genotype::genotype(int nloc)
   {
       for (int k=0; k<nloc; k++){
        _genonuc.push_back(locus(-1,-1));
    }
}



genotype::~genotype()
{
  _genonuc.clear();
    //dtor
}

void genotype::afficher() const {
    for (int k=0; k<_genonuc.size(); k++) {
        _genonuc[k].afficher();}
        std::cout << std::endl;

}

double genotype::mendel(const genotype & mere, const genotype & pere, int nl, const std::vector<int> & na, const std::vector<std::map<int,int> > & sizeall, const std::vector<std::vector<double> > & freqall) const {
    double temp=1;
    for (int l=0; l<nl; l++) {
    temp *= this->_genonuc[l].mendel1(mere._genonuc[l],pere._genonuc[l],na[l], sizeall[l], freqall[l]);
    //std::cout << l << " " << this->_genonuc[l].mendel1(mere._genonuc[l],pere._genonuc[l],na[l], sizeall[l], freqall[l]) << " " << temp << " | ";
    }
    //std::cout << std::endl << std::endl;
    return(temp);
}

// NEW EK: mendel avec prise en compte des erreurs
// NEW EK: comptage du nombre de mistyping nécessaires (argument nmistype)
// Voir la redondance avec mendel dans la classe parent
double genotype::mendelError(const genotype & mere, const genotype & pere, int nl, const std::vector<int> & na, const std::vector<std::map<int,int> > & sizeall, const std::vector<std::vector<double> > & freqall, const std::vector < std::vector < std::vector <double> > > & materror, int & nmistype) const {
    double temp=1;
    nmistype=0;
    for (int l=0; l<nl; l++) {
        if ((this->_genonuc[l].mendel1(mere._genonuc[l],pere._genonuc[l],na[l], sizeall[l], freqall[l])) == 0 ) nmistype++ ;
        temp *= this->_genonuc[l].mendelError(mere._genonuc[l],pere._genonuc[l],na[l], sizeall[l], freqall[l], materror[l]);}
    return(temp);
}
