#ifndef __MEMM_PARAMTXT_HPP__
#define __MEMM_PARAMTXT_HPP__

#include <iostream>
#include <fstream>
#include <cstring>
#include <limits>

#include "Parameters.hpp"

class ParamTXT : public Parameters {
  public :
    ParamTXT();
    ParamTXT(char * filein);
    ~ParamTXT();
    //template<typename Type> Type getValue(MEMM_parameters_t valueName);
    virtual char * getValue(MEMM_parameters_t valueName);
    virtual bool setValue(MEMM_parameters_t valueName, char * value);


  private : 
    ifstream paramFileStream;

    void goToLine(int lineNumber);
};


#endif
