#ifndef LOCUS_H
#define LOCUS_H

#include <map>
#include <vector>
#include <string>
//const int nul=-1;

class locus
{
    public:
        int _allele[2];

        locus(int all1=-1, int all2=-1);
        virtual ~locus();
        void afficher() const;

        bool operator== (const locus & other) const {
            bool temp1, temp2;//, temp3, temp4;
            temp1=((this->_allele[1] == other._allele[1] && this->_allele[2] == other._allele[2]) ||
                (this->_allele[1] == other._allele[2] && this->_allele[2] == other._allele[1]));
            temp2= (this->_allele[1] <= 0);
            //temp3 = (this->_allele[2] == other._allele[1]);
            //temp4 = (this->_allele[2] == other._allele[2]);
//            temp4 =(this->_allele[2] == other._allele[2]);
            return temp1 || temp2;

//         (this->_allele[1] == other._allele[1] && this->_allele[2] == other._allele[2]) ||
//         (this->_allele[1] == other._allele[2] && this->_allele[2] == other._allele[1]) ||
//         ((this->_allele[1] <= 0) && ((this->_allele[2] == other._allele[1]) ||(this->_allele[2] == other._allele[2]))) ||
//         (this->_allele[2] == 0 && (this->_allele[1] == other._allele[1] ||this->_allele[1] == other._allele[2])) ||
//         (other._allele[1] == 0 && (this->_allele[1] == other._allele[2] ||this->_allele[2] == other._allele[2])) ||
//         (other._allele[2] == 0 && (this->_allele[1] == other._allele[1] ||this->_allele[2] == other._allele[1])) ||
//         (other._allele[1] == 0 && other._allele[2] == -1) || (this->_allele[1] == -1 && this->_allele[2] == -1));
         }

    double mendel1 (const locus & mere , const locus & pere, int na,  std::map<int,int> sizeall, const std::vector<double> & freqall) const;
    double mendelError(const locus & mere , const locus & pere, int na,  std::map<int,int> sizeall, const std::vector<double> & freqall, const std::vector< std::vector <double> > & materror) const;

    protected:
    private:

};

#endif // LOCUS_H
